import type { CharacterConfig, i18nID } from "~/types/character";
import characterConfig from '#shared/character-config.json';

const config = characterConfig as CharacterConfig;

export function getText(id?: i18nID, lang?: string): string
{
    return id ? (config.texts.hasOwnProperty(id) ? config.texts[id][lang ?? "default"] : '') : '';
}